## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Disable debug as this package only provides a static archive (and no shared object).
# debuginfo will be made available via consumer (mesa) instead.
%global debug_package %{nil}
%global __strip /bin/true

# There is no LTO in mesa, so drop that in stub archives also
# see mesa comment:
# We've gotten a report that enabling LTO for mesa breaks some games. See
# https://bugzilla.redhat.com/show_bug.cgi?id=1862771 for details.
# Disable LTO for now
%define _lto_cflags %{nil}

Name:           DirectX-Headers
Version:        1.615.0
Release:        %autorelease
Summary:        Official Direct3D 12 headers

License:        MIT
URL:            https://github.com/microsoft/DirectX-Headers
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc-c++
# Test assumes the build is under WSL, which is unlikely
%{?_with_test:BuildRequires: gtest-devel}


%description
Official Direct3D 12 headers

%package        devel
Summary:        Development files for %{name}
# This only provides -static files, so only
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1
# Change EOL encoding
for i in LICENSE README.md ; do
  sed -i -e 's/\r$//' ${i}
  touch -r SECURITY.md ${i}
done


%build
%meson \
 %{?!_with_test:-Dbuild-test=false}

%meson_build


%install
%meson_install


%check
%{?_with_test:
%meson_test
}


%files devel
%license LICENSE
%doc README.md SECURITY.md
%{_includedir}/directx
%{_includedir}/dxguids
%{_includedir}/wsl
%{_libdir}/libDirectX-Guids.a
%{_libdir}/libd3dx12-format-properties.a
%{_libdir}/pkgconfig/DirectX-Headers.pc


%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.615.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Mar 21 2025 Nicolas Chauvet <kwizart@gmail.com> - 1.615.0-1
- Initial import for DirectX-Headers - rhbz#2350442
## END: Generated by rpmautospec
